# Changelog

All notable changes to this project will be documented in this file.
Each new release typically also includes the latest modulesync defaults.
These should not affect the functionality of the module.

## [v4.0.0](https://github.com/voxpupuli/puppet-filemapper/tree/v4.0.0) (2023-11-30)

[Full Changelog](https://github.com/voxpupuli/puppet-filemapper/compare/v3.1.0...v4.0.0)

**Breaking changes:**

- Drop Puppet 6 support [\#74](https://github.com/voxpupuli/puppet-filemapper/pull/74) ([bastelfreak](https://github.com/bastelfreak))

**Implemented enhancements:**

- Add Puppet 8 support [\#75](https://github.com/voxpupuli/puppet-filemapper/pull/75) ([bastelfreak](https://github.com/bastelfreak))

**Merged pull requests:**

- Correct spelling mistake [\#73](https://github.com/voxpupuli/puppet-filemapper/pull/73) ([EdwardBetts](https://github.com/EdwardBetts))

## [v3.1.0](https://github.com/voxpupuli/puppet-filemapper/tree/v3.1.0) (2020-11-07)

[Full Changelog](https://github.com/voxpupuli/puppet-filemapper/compare/v3.0.2...v3.1.0)

**Breaking changes:**

- Drop Puppet 4 [\#64](https://github.com/voxpupuli/puppet-filemapper/pull/64) ([bastelfreak](https://github.com/bastelfreak))

**Closed issues:**

- Add examples to filemapper to demonstrate use. [\#7](https://github.com/voxpupuli/puppet-filemapper/issues/7)

**Merged pull requests:**

- Remove duplicate CONTRIBUTING.md file [\#65](https://github.com/voxpupuli/puppet-filemapper/pull/65) ([dhoppe](https://github.com/dhoppe))

## [v3.0.2](https://github.com/voxpupuli/puppet-filemapper/tree/v3.0.2) (2018-10-14)

[Full Changelog](https://github.com/voxpupuli/puppet-filemapper/compare/v3.0.1...v3.0.2)

**Merged pull requests:**

- modulesync 2.1.0 and allow puppet 6.x [\#59](https://github.com/voxpupuli/puppet-filemapper/pull/59) ([bastelfreak](https://github.com/bastelfreak))
- Remove docker nodesets [\#53](https://github.com/voxpupuli/puppet-filemapper/pull/53) ([bastelfreak](https://github.com/bastelfreak))

## [v3.0.1](https://github.com/voxpupuli/puppet-filemapper/tree/v3.0.1) (2018-03-29)

[Full Changelog](https://github.com/voxpupuli/puppet-filemapper/compare/v3.0.0...v3.0.1)

**Merged pull requests:**

- Bump puppet dependency to minimum supported version 4.10.0 [\#50](https://github.com/voxpupuli/puppet-filemapper/pull/50) ([bastelfreak](https://github.com/bastelfreak))

## [v3.0.0](https://github.com/voxpupuli/puppet-filemapper/tree/v3.0.0) (2017-10-19)

[Full Changelog](https://github.com/voxpupuli/puppet-filemapper/compare/v2.1.0...v3.0.0)

**Merged pull requests:**

- Release 3.0.0 [\#46](https://github.com/voxpupuli/puppet-filemapper/pull/46) ([bastelfreak](https://github.com/bastelfreak))
- Fix github license detection [\#44](https://github.com/voxpupuli/puppet-filemapper/pull/44) ([alexjfisher](https://github.com/alexjfisher))

## [v2.1.0](https://github.com/voxpupuli/puppet-filemapper/tree/v2.1.0) (2017-02-11)

This is the last release with Puppet3 support!

* Set minimum version_requirement for Puppet
* Remove unnecessary disabling of RSpec/NestedGroups

## 2016-12-08 Release 2.0.1

  * Modulesync with latest Vox Pupuli changes
  * Fix several rubocop issues
  * define #path on filetype mocks/fix broken symbols

## 2016-08-19 Release 2.0.0

This is a backwards incompatible release.

  * Drop Ruby 1.8.7 support
  * Move to Vox Pupuli namespace
  * Significant code quality improvements
  * Modulesync with latest Vox Pupuli defaults
  * Sync mk_resource_methods with Puppet Core


Thanks to Joseph Yaworski and the Vox Pupuli teams for their work on this release.


## 2014-09-02 Release 1.1.3

This is a backwards compatible bugfix release.

  * Invoke super in self.initvars to initialize `@defaults`

Thanks to Igor Galić for his work on this release.


## 2014-07-04 Release 1.1.2

This is a backwards compatible bugfix release.

  * Update permissions of built modules to be a+rX.


## 2012-12-30 Release 1.1.1

This is a backwards compatible bugfix release.

  * (filemapper-#4) Add resource failure when in error state

Thanks to Reid Vandewiele for his contribution for this release.


## 2012-12-07 Release 1.1.0

This is a backwards compatible feature release.

  * Add Apache 2.0 LICENSE
  * Add Gemfile
  * (filemapper-#3) Add `unlink_empty_files` attribute
  * (maint) spec cleanup for readability
  * (filemapper-#2) Add pre and post flush hook support


## 2012-10-28 Release 1.0.2

This is a backwards compatible maintenance release.

  * Update metadata to reference forge username
  * Ensure implementing classes return a string from format_file


## 2012-10-16 Release 1.0.1

This is a backwards compatible maintenance release.

  * Remove call `#symbolize` method; said method was removed in Puppet 3.0.0
  * Fail fast if an including class returns bad data from Provider.parse_file
  * Don't try to fall back to `@resource.should` value for properties


\* *This Changelog was automatically generated by [github_changelog_generator](https://github.com/github-changelog-generator/github-changelog-generator)*
